OpenSubdiv: GLStencilTableSSBO Class Reference

| OpenSubdiv

Loading...
Searching...
No Matches
Public Member Functions | Static Public Member Functions | List of all members
GLStencilTableSSBO Class Reference

GL stencil table (Shader Storage buffer) More...

`#include <glComputeEvaluator.h>`

## Public Member Functions
| GLStencilTableSSBO (Far::StencilTable const *stencilTable)
| GLStencilTableSSBO (Far::LimitStencilTable const *limitStencilTable)
| ~GLStencilTableSSBO ()
GLuint | GetSizesBuffer () const
GLuint | GetOffsetsBuffer () const
GLuint | GetIndicesBuffer () const
GLuint | GetWeightsBuffer () const
GLuint | GetDuWeightsBuffer () const
GLuint | GetDvWeightsBuffer () const
GLuint | GetDuuWeightsBuffer () const
GLuint | GetDuvWeightsBuffer () const
GLuint | GetDvvWeightsBuffer () const
int | GetNumStencils () const

## Static Public Member Functions
static GLStencilTableSSBO * | Create (Far::StencilTable const *stencilTable, void *deviceContext=NULL)
static GLStencilTableSSBO * | Create (Far::LimitStencilTable const *limitStencilTable, void *deviceContext=NULL)

## Detailed Description

GL stencil table (Shader Storage buffer)

This class is a GLSL SSBO representation of Far::StencilTable.

GLSLComputeKernel consumes this table to apply stencils

Definition at line 51 of file glComputeEvaluator.h.

## Constructor & Destructor Documentation

## ◆ GLStencilTableSSBO() [1/2]

GLStencilTableSSBO | ( | Far::StencilTable const * | stencilTable | ) |
| explicit

## ◆ GLStencilTableSSBO() [2/2]

GLStencilTableSSBO | ( | Far::LimitStencilTable const * | limitStencilTable | ) |
| explicit

## ◆ ~GLStencilTableSSBO()

~GLStencilTableSSBO | ( |  | ) |

## Member Function Documentation

## ◆ Create() [1/2]

static GLStencilTableSSBO * Create | ( | Far::LimitStencilTable const * | limitStencilTable,
|  | void * | deviceContext = `NULL`
| ) |  |
| inlinestatic

Definition at line 58 of file glComputeEvaluator.h.

## ◆ Create() [2/2]

static GLStencilTableSSBO * Create | ( | Far::StencilTable const * | stencilTable,
|  | void * | deviceContext = `NULL`
| ) |  |
| inlinestatic

Definition at line 53 of file glComputeEvaluator.h.

## ◆ GetDuuWeightsBuffer()

GLuint GetDuuWeightsBuffer | ( |  | ) | const
| inline

Definition at line 76 of file glComputeEvaluator.h.

## ◆ GetDuvWeightsBuffer()

GLuint GetDuvWeightsBuffer | ( |  | ) | const
| inline

Definition at line 77 of file glComputeEvaluator.h.

## ◆ GetDuWeightsBuffer()

GLuint GetDuWeightsBuffer | ( |  | ) | const
| inline

Definition at line 74 of file glComputeEvaluator.h.

## ◆ GetDvvWeightsBuffer()

GLuint GetDvvWeightsBuffer | ( |  | ) | const
| inline

Definition at line 78 of file glComputeEvaluator.h.

## ◆ GetDvWeightsBuffer()

GLuint GetDvWeightsBuffer | ( |  | ) | const
| inline

Definition at line 75 of file glComputeEvaluator.h.

## ◆ GetIndicesBuffer()

GLuint GetIndicesBuffer | ( |  | ) | const
| inline

Definition at line 72 of file glComputeEvaluator.h.

## ◆ GetNumStencils()

int GetNumStencils | ( |  | ) | const
| inline

Definition at line 79 of file glComputeEvaluator.h.

## ◆ GetOffsetsBuffer()

GLuint GetOffsetsBuffer | ( |  | ) | const
| inline

Definition at line 71 of file glComputeEvaluator.h.

## ◆ GetSizesBuffer()

GLuint GetSizesBuffer | ( |  | ) | const
| inline

Definition at line 70 of file glComputeEvaluator.h.

## ◆ GetWeightsBuffer()

GLuint GetWeightsBuffer | ( |  | ) | const
| inline

Definition at line 73 of file glComputeEvaluator.h.

The documentation for this class was generated from the following file:

- opensubdiv/osd/glComputeEvaluator.h